TCGETSID(3)

NAME
tcgetsid - get session ID associated with a controlling terminal

SYNOPSIS
#include <termios.h>
pid_t
tcgetsid(int fd);

DESCRIPTION
The tcgetsid() function returns the value of the session ID associated with the specified controlling terminal device. The session ID is defined as the process group ID of the session leader.

ERRORS
If an error occurs, tcgetsid() returns -1 and the global variable errno is set to indicate the error, as follows:

[EBADF]
    The fd argument is not a valid file descriptor.

[ENOTTY]
    The calling process does not have a controlling terminal or the underlying terminal device represented by fd is not the controlling terminal.

SEE ALSO
getsid(2), setsid(2), tcgetpgrp(3)

STANDARDS
The tcgetsid() function is compliant with the p1003.1-2008 specification.

HISTORY
The tcgetsid() function has been available since OpenBSD 5.5.